//
// dsPIC30 PWM out test
// Juha Niinikoski, OH2NLT 20.08.2006
//
// Hi-Tech dsPICC_9.50 compiler + correction patch 17.11.2005, MPLAB 7.00
// 


// init TMR3 & OC1 for PWM operation
// 

void init_pwm(unsigned int pwm)
	{
	OC1CON = 0;			// first turn off the module if it was on

	OC1RS = pwm;		// set OC1 duty cycle 50%
	OC1R = pwm;
	OC1CON = 0x000E;	// use TMR3, OC1 = PWM mode

	PR3 = 1023;			// set PWM cycle, TMR3 period register, 14400Hz
//	PR3 = 1843;			// 8000,86Hz
//	PR3 = 2047;			// 7200Hz
	T3ON = 1;			// start TMR3	
	}

void set_pwm(unsigned int pwm)
	{
	OC1RS = pwm;
	}
